<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}" xmlns:sd="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Edit</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm">
                    <div class="card-header">
                        <h5>Journal Template</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <form th:action="@{/journal-template/edit}" method="post">
                                    <div class="form-group mb-3">
                                        <label>Kode</label>
                                        <input type="text" name="code" th:value="${journalTemplate.code}" class="form-control" readonly>
                                        <input type="hidden" name="id" th:value="${journalTemplate.id}">
                                    </div>
                                    <div class="form-group mb-3">
                                        <label>Nama</label>
                                        <input type="text" name="name" th:value="${journalTemplate.name}" class="form-control">
                                    </div>
                                    <div class="form-group mb-3">
                                        <label>Kategori</label>
                                        <select name="journalCategoryTemplate" id="" class="form-select">
                                            <option value="">-- Pilih --</option>
                                            <option th:each="dataCategory, row:${listCategory}"
                                                    th:text="${dataCategory.category}"
                                                    th:value="${dataCategory.id}"
                                                    th:selected="${dataCategory.id == journalTemplate.journalCategoryTemplate.id}"></option>
                                        </select>
                                    </div>
                                    <div class="form-group mb-2">
                                        <label>Aplikasi</label>
                                        <select name="typeApp" id="typeApp" class="form-select">
                                            <option value="">-- Pilih Salah Aplikasi --</option>
                                            <option th:each="data : ${typeApp}"
                                                    th:selected="${journalTemplate.typeApp == data}"
                                                    th:value="${data}" th:text="${data}"></option>
                                        </select>
                                    </div>
                                    <div class="form-group mb-3">
                                        <button class="btn btn-primary">Edit</button>
                                        <a th:href="@{/journal-template}" class="btn btn-danger">Kembali</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>